package com.bwie.list.mapper;

import com.bwie.common.pojo.Car;
import com.bwie.common.pojo.Record;
import com.bwie.common.pojo.Type;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CarMapper {
    /**
     * 自行车列表
     * @param car
     * @return
     */
    List<Car> list(Car car);

    /**
     * 类型列表
     * @return
     */
    List<Type> typeList();

//    /**
//     * 查询carId数据
//     * @param carId
//     * @return
//     */
//    Car selectByCarId(Integer carId);

    /**
     * 添加自行车记录
     * @param record1
     * @return
     */
    Integer recordAdd(Record record1);

    /**
     * 修改状态
     * @param carId
     */
    void updateById(Integer carId);

    /**
     * 自行车列表
     * @param record
     * @return
     */
    List<Record> recordList(Record record);

    /**
     * 结束行程
     * @param carNumber
     * @return
     */
    Integer updateByReId(String carNumber);



    Record select(String carNumber);

    void updateMoney(@Param("userId") Integer userId, @Param("recordMoney") String recordMoney);

    Record selectOne(String carNumber);

    Record selectTwo(String carNumber);

    Record selectThree(String carNumber);
}
