package com.bwie.list.service;

import com.bwie.common.pojo.Car;
import com.bwie.common.pojo.Record;
import com.bwie.common.pojo.Type;

import java.util.List;

public interface CarService {
    /**
     * 自行车列表
     * @param car
     * @return
     */
    List<Car> list(Car car);

    /**
     * 类型下拉框
     * @return
     */
    List<Type> typeList();

    /**
     * 添加用车记录
     * @param carId
     * @return
     */
    Integer recordAdd(Integer carId);

    /**
     * 自行车列表
     * @param record
     * @return
     */
    List<Record> recordList(Record record);

    /**
     * 结束行程
     * @param carNumber
     * @return
     */
    Integer updateByReId(String carNumber);
}
