package com.bwie.user.controller;

import com.bwie.common.pojo.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName SysUserController
 * @Description 描述
 * @Author Chen
 * @Date 2024/7/23 9:19
 */
@RestController
@RequestMapping("/user")
public class SysUserController {
    @Autowired
    private SysUserService userService;

    /**
     * 手机号登录
     * @param userPhone
     * @return
     */
    @PostMapping("/login")
    public Result<User> login(@RequestBody String userPhone){
      User login = userService.login(userPhone);
        return Result.success(login);
    }

}
