package com.bwie.auth.controller;

import ch.qos.logback.core.pattern.color.BoldCyanCompositeConverter;
import com.bwie.auth.service.AuthUserService;
import com.bwie.common.pojo.User;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.web.bind.annotation.*;

/**
 * @ClassName AuthUserController
 * @Description 描述
 * @Author Chen
 * @Date 2024/7/23 9:41
 */
@RestController
@RequestMapping("/user")
public class AuthUserController {
    @Autowired
    private AuthUserService userService;
    /**
     * 登录
     * @param user
     * @return
     */
    @PostMapping("/login")
    public Result login(@RequestBody User user) {
        return userService.login(user);
    }

    /**
     * 加密
     */
    @GetMapping("/getPwd")
    public void getPwd(){
        BCryptPasswordEncoder bCryptPasswordEncoder = new BCryptPasswordEncoder();
        String encode = bCryptPasswordEncoder.encode("123");
        System.out.println(encode);
    }
    /**
     * info
     */
    @GetMapping("/info")
    public Result info(){
        return userService.info();
    }
}
