package com.bwie.auth.feign;

import com.bwie.auth.service.impl.SysUserAuthServiceFactory;
import com.bwie.common.pojo.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @ClassName SysUserRemoteService
 * @Description 描述
 * @Author Chen
 * @Date 2024/7/23 9:32
 */
@FeignClient(value = "bwie-system",fallbackFactory = SysUserAuthServiceFactory.class)
public interface SysUserRemoteService {
    @PostMapping("user/login")
    public Result<User> login(@RequestBody String userPhone);
}
