package com.bwie.common.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @ClassName Record
 * @Description 描述
 * @Author Chen
 * @Date 2024/7/23 10:55
 */
@Data
public class Record {
    private Integer recordId;
    private Integer userId;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date recordStart;
    private Integer recordDuration;
    private Integer recordDistance;
    private Integer carId;

    private String carNumber;
    private String typeName;
    private String userName;

    private Integer carState;

    private String recordMoney;
}
